import importlib
import datatypes
import submodule

red = datatypes.Color.RED
blue = datatypes.Color.BLUE

def object_info(o: object) -> str:
    return "{o} (module: {module}, id: {id})".format(o=o, module=o.__module__, id=id(o))

def print_info():
    print("'RED' from module:", object_info(submodule.datatypes.Color.RED))
    print("'red' variable:", object_info(submodule.red))
    print("is_red(red):", submodule.is_red(red))
    print("is_red2(red):", submodule.is_red2(red))
    print("is_red(blue):", submodule.is_red(blue))

if __name__ == '__main__':
    print_info()
    print("reloading 'datatypes' ...")
    importlib.reload(datatypes)
    print_info()

    